%define major 7
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:	Abraction/convenience libraries for OpenEXR
Name:		ilmbase
Version:	1.0.3
Release:	%mkrel 3
Group:		System/Libraries
License:	BSD
URL:		http://www.openexr.com
Source0:	https://github.com/downloads/openexr/openexr/%{name}-%{version}.tar.gz
Patch0:		%{name}-1.0.0-pthread.patch
Patch1:		ilmbase-1.0.3-secondary.patch
Patch2:		ilmbase-1.0.3-pkgconfig.patch
Patch3:		ilmbase-1.0.3-ucontext.patch
Patch4:		ilmbase-1.0.3-automake-1.13.patch

%description
Half is a class that encapsulates the ilm 16-bit floating-point format.

IlmThread is a thread abstraction library for use with OpenEXR
and other software packages.

Imath implements 2D and 3D vectors, 3x3 and 4x4 matrices, quaternions
and other useful 2D and 3D math functions.

Iex is an exception-handling library.

%package -n %{libname}
Summary:	Abraction/convenience libraries for OpenEXR
Group:		System/Libraries

%description -n %{libname}
Half is a class that encapsulates the ilm 16-bit floating-point format.

IlmThread is a thread abstraction library for use with OpenEXR
and other software packages.

Imath implements 2D and 3D vectors, 3x3 and 4x4 matrices, quaternions
and other useful 2D and 3D math functions.

Iex is an exception-handling library.


%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Requires:	mesaglu-devel
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Conflicts:	OpenEXR-devel < 1.4.1

%description -n %{develname}
Development files for %{name}.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%if %{__isa_bits} == 32
%patch3 -p1
%endif
%patch4 -p1 -b .automake-1_13

%build
./bootstrap
%configure2_5x \
	--disable-static

%make

%install
rm -rf %{buildroot}

%makeinstall_std

rm -f  %{buildroot}%{_libdir}/lib*.la

%clean
rm -rf %{buildroot}



%files -n %{libname}
%defattr(-,root,root,-)
%{_libdir}/lib*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog  NEWS README
%{_includedir}/OpenEXR/
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*




%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.0.3-3.mga3
+ Revision: 354287
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 cjw <cjw> 1.0.3-2.mga3
+ Revision: 339206
- patch4: fix build with automake 1.13

* Sun Dec 02 2012 fwang <fwang> 1.0.3-1.mga3
+ Revision: 324941
- only apply patch in 32 bit
- add fedora patches
- new version 1.0.3

* Fri Jan 14 2011 mikala <mikala> 1.0.2-2.mga2
+ Revision: 18042
- Drop mdk macros
- Remove BuildRoot
- imported package ilmbase

